## screenshot-tool 1.21-1

=== debian/changelog ===
screenshot-tool (1.21-1) unstable; urgency=low

  * Changed name to screenshot-tool (Fixes: NB#73732)
  * Added conflicts/replaces osso-screenshot-tool
  * Changed maintainer to integration@maemo.org

 -- Jussi Hakala <ext-jussi.hakala@maemo.org>  Thu, 18 Oct 2007 19:19:39 +0300

screenshot-tool (1.20-1) unstable; urgency=low

  * Add copyrights and GPL.

 -- Tommi Komulainen <tommi.komulainen@nokia.com>  Tue, 17 May 2005 13:05:31 +0300

screenshot-tool (1.05-1) unstable; urgency=low

  * Initial Release.

 -- Tommi Komulainen <tommi.komulainen@nokia.com>  Tue,  1 Feb 2005 16:58:26 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/screenshot-tool


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installmenu
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## screenshot-tool 1.21-2

=== debian/changelog ===
screenshot-tool (1.21-2) unstable; urgency=low

  * added the option to delay the screenshot taking.
  * added man page
  * fixed e-mail address in previous changelog entry.

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 19 Nov 2007 13:02:39 +0200

## screenshot-tool 1.22-1

=== debian/changelog ===
screenshot-tool (1.22-1) unstable; urgency=low

  * fixed the handling of unknown options

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 23 Nov 2007 15:30:39 +0200

## screenshot-tool 1.23-1

=== Makefile ===
prefix = /usr
bindir = $(prefix)/bin

CC ?= gcc
CFLAGS ?= -Wall -O2 -g
CFLAGS += $(GTK_CFLAGS)
LDLIBS += $(GTK_LIBS)

GTK_CFLAGS := $(shell pkg-config --cflags gtk+-2.0)
GTK_LIBS := $(shell pkg-config --libs gtk+-2.0)

all: screenshot-tool

clean:
	rm -f screenshot-tool

install: screenshot-tool
	install -m755 -d $(DESTDIR)$(bindir)
	install -m755 screenshot-tool $(DESTDIR)$(bindir)/

distclean: clean

.PHONY: all clean distclean install

=== debian/changelog ===
screenshot-tool (1.23-1) unstable; urgency=low

  * fixed a typo in the man page
  * fixes: NB#77401

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 28 Nov 2007 14:03:39 +0200

=== debian/control ===
Source: screenshot-tool
Section: graphics
Priority: optional
Maintainer: maemo integration <integration@maemo.org>
Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev
Standards-Version: 3.6.0

Package: screenshot-tool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: osso-screenshot-tool
Conflicts: osso-screenshot-tool
Description: Screenshot tool
 This tool allows you to take a screenshot of the current screen and save the
 image in a PNG file.

=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	dh_installchangelogs 
 	dh_installdocs
 #	dh_installmenu
-#	dh_installman
+	dh_installman doc/man/*
 	dh_link
 	dh_strip
 	dh_compress

## screenshot-tool 1.23-2

=== debian/changelog ===
screenshot-tool (1.23-2) unstable; urgency=low

  * rebuilt for fremantle

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 10 Dec 2008 17:43:39 +0200
